Page MenuHomePhabricator

Gallery doesn't resize caption on window resize
Closed, ResolvedPublic

Description

When you resize the window, if the <gallery> is using the caption option, the caption does not recenter.

Steps to reproduce:
Wikipage with
<gallery caption="Caption here" mode=packed>
Example.png
Example.svg
</gallery>

resize window so gallery needs to be re-flowed.

Originally reported at https://en.wikipedia.org/w/index.php?title=User_talk:Bawolff&oldid=648971666#Gallery_packed_mode_and_caption_centering

Event Timeline

Bawolff created this task.Feb 27 2015, 4:29 PM
Bawolff raised the priority of this task from to Needs Triage.
Bawolff updated the task description. (Show Details)
Bawolff added subscribers: Bawolff, m4tx.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 27 2015, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:02 PM

Change 250371 had a related patch set uploaded (by Gerrit Patch Uploader):
gallery.js: Do not resize gallery caption

https://gerrit.wikimedia.org/r/250371

Fomafix claimed this task.Nov 2 2015, 6:23 AM

Change 250371 merged by jenkins-bot:
gallery.js: Do not resize gallery caption

https://gerrit.wikimedia.org/r/250371

Jdlrobson closed this task as Resolved.Nov 3 2015, 3:22 AM
Jdlrobson added a subscriber: Jdlrobson.